aboutsummaryrefslogtreecommitdiffstats
path: root/aoc
diff options
context:
space:
mode:
Diffstat (limited to 'aoc')
-rwxr-xr-xaoc17
1 files changed, 17 insertions, 0 deletions
diff --git a/aoc b/aoc
new file mode 100755
index 0000000..8e144fb
--- /dev/null
+++ b/aoc
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+DAY="${1}"
+if [ -z "${DAY}" ]; then
+ echo "usage: ${0} day01"
+ exit 1
+fi
+
+set -euo pipefail
+
+cd "${DAY}"
+if [ ! -f "input.txt" ]; then
+ echo "input.txt not found in ${DAY}"
+ exit 1
+fi
+
+ghc ../utils.hs main.hs && (cat input.txt | ./main)